Sentry Kayleen:
Pabell is in the kingdom of Elmore, to the north of Aden. They say it is the northernmost place in Elmore, a cold region where snow remains on the ground all year round. About fifty years ago, remains of Shilen were discovered, and many Dark Elves moved there to begin research. They made a village there called Pabell. However, the war between Aden and Elmore is not over, so it is very difficult to go there.
Return